---
title: List webhooks
slug: graph/api/list-webhooks
docTags: 
createdAt: 2026-08-28T18:28:55.472Z
---

{
  "id": "HPkwOXC9Mkh4RGZUfPUgy",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://cg.optimizely.com/api/webhooks",
    "servers": [
      {
        "url": "https://cg.optimizely.com/api/webhooks"
      }
    ],
    "name": "List webhooks",
    "description": "List all registered webhooks",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "epi-hmac",
          "name": "Authorization",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>HMAC authentication (<code>epi-hmac xxx</code>)</p>",
          "in": "header"
        },
        {
          "id": "Bearer",
          "name": "Bearer",
          "kind": "optional",
          "type": "http",
          "description": "JWT token",
          "scheme": "bearer"
        },
        {
          "id": "Basic",
          "name": "Basic",
          "kind": "optional",
          "type": "http",
          "description": "HMAC credentials",
          "scheme": "basic"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Ok",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "",
            "customType": "Webhook[]",
            "schema": [
              {
                "name": "disabled",
                "kind": "optional",
                "type": "boolean",
                "description": ""
              },
              {
                "name": "request",
                "kind": "required",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/Request",
                "customType": "Request",
                "schema": [
                  {
                    "name": "url",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "method",
                    "kind": "optional",
                    "type": "string",
                    "description": ""
                  },
                  {
                    "name": "headers",
                    "kind": "optional",
                    "type": "object",
                    "description": "Construct a type with a set of properties K of type T",
                    "modelRef": "#/components/schemas/Record_string.string_",
                    "customType": "Record_string.string_",
                    "schema": []
                  }
                ]
              },
              {
                "name": "topics",
                "kind": "optional",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "filters",
                "kind": "optional",
                "type": "object",
                "description": "",
                "complexType": "anyOf",
                "complexItems": [
                  {
                    "name": "FilterMap",
                    "description": "",
                    "modelRef": "#/components/schemas/FilterMap",
                    "schema": []
                  }
                ],
                "schema": []
              },
              {
                "name": "preset",
                "kind": "required",
                "type": "string",
                "description": "",
                "modelRef": "#/components/schemas/Preset",
                "customType": "Preset",
                "schema": []
              },
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/Webhook",
            "complexItems": [
              {
                "name": "object",
                "schema": [
                  {
                    "name": "disabled",
                    "kind": "optional",
                    "type": "boolean",
                    "description": ""
                  },
                  {
                    "name": "request",
                    "kind": "required",
                    "type": "object",
                    "description": "",
                    "modelRef": "#/components/schemas/Request",
                    "customType": "Request",
                    "schema": [
                      {
                        "name": "url",
                        "kind": "required",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "method",
                        "kind": "optional",
                        "type": "string",
                        "description": ""
                      },
                      {
                        "name": "headers",
                        "kind": "optional",
                        "type": "object",
                        "description": "Construct a type with a set of properties K of type T",
                        "modelRef": "#/components/schemas/Record_string.string_",
                        "customType": "Record_string.string_",
                        "schema": []
                      }
                    ]
                  },
                  {
                    "name": "topics",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "filters",
                    "kind": "optional",
                    "type": "object",
                    "description": "",
                    "complexType": "anyOf",
                    "complexItems": [
                      {
                        "name": "FilterMap",
                        "description": "",
                        "modelRef": "#/components/schemas/FilterMap",
                        "schema": []
                      }
                    ],
                    "schema": []
                  }
                ],
                "modelRef": "#/components/schemas/WebhookPayload",
                "customType": "WebhookPayload"
              },
              {
                "name": "object",
                "schema": [
                  {
                    "name": "preset",
                    "kind": "required",
                    "type": "string",
                    "description": "",
                    "modelRef": "#/components/schemas/Preset",
                    "customType": "Preset",
                    "schema": []
                  },
                  {
                    "name": "id",
                    "kind": "required",
                    "type": "string",
                    "description": ""
                  }
                ]
              }
            ],
            "complexType": "allOf",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "NwW6ey4f3Jh5f0Sni7Uxv",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://cg.optimizely.com/api/webhooks \\\n     --header 'accept: application/json'"
        },
        {
          "id": "vK-zbEysV_7rNWT9B4mve",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://cg.optimizely.com/api/webhooks\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "pZRGHxutOqPcNu-0rwmZ_",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://cg.optimizely.com/api/webhooks\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "q1ay43YWlN90MIwKzbe2i",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://cg.optimizely.com/api/webhooks\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "NwW6ey4f3Jh5f0Sni7Uxv"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Ok\n[\n  {\n    \"disabled\": false,\n    \"request\": {\n      \"url\": \"\",\n      \"method\": \"\",\n      \"headers\": {}\n    },\n    \"topics\": [\n      \"\"\n    ],\n    \"filters\": {},\n    \"preset\": \"\",\n    \"id\": \"\"\n  }\n]"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}